/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.mockvehicledataservice;

import java.util.ArrayList;
import java.util.List;
import nl.cloudfarming.client.fleet.implement.ImplementDataService;
import org.openide.util.lookup.ServiceProvider;

/**
 *
 * @author Wytse Visser
 */
@ServiceProvider(service = ImplementDataService.class)
public class MockImplementDataService implements ImplementDataService {

    List<Model> models = new ArrayList<>();

    public MockImplementDataService() {
        final String sprayerType = "Sprayer";
        final String mowerType = "Mower";
        final String harvesterType = "Harvester";
        final String brandA = "Brand A";
        final String brandB = "Brand b";

        Model model = new Model(sprayerType, brandA, "SuperSprayer2000");
        models.add(model);

        model = new Model(sprayerType, brandA, "SuperSprayer3000");
        models.add(model);

        model = new Model(mowerType, brandA, "MegaMower200");
        models.add(model);

        model = new Model(mowerType, brandA, "MegaMower200b");
        models.add(model);

        model = new Model(mowerType, brandB, "MultiMower");
        models.add(model);

        model = new Model(harvesterType, brandB, "HyperHarvester");
        models.add(model);

        model = new Model(harvesterType, brandB, "Harvester300");
        models.add(model);
    }

    @Override
    public List<Model> getModels() {
        return models;
    }
}
