/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.mockvehicledataservice;

import java.util.ArrayList;
import java.util.List;
import nl.cloudfarming.client.fleet.machine.MachineDataService.Model;
import nl.cloudfarming.client.fleet.model.Vehicle;
import nl.cloudfarming.client.fleet.vehicle.VehicleDataService;
import org.openide.util.lookup.ServiceProvider;

/**
 *
 * @author Wytse Visser
 */
@ServiceProvider(service = VehicleDataService.class)
public class MockJohnDeereDataService implements VehicleDataService {

    List<Model> models = new ArrayList<>();
    
    public MockJohnDeereDataService() {
        final String tractorType = "Tractor";
        final String sprayerType = "Self propelled sprayer";
        final String brand = "John Deere";
        
        Model model = new Model(tractorType, brand, "JD-T1234");
        model.putProperty(Vehicle.PROP_DISPLACEMENT, 6.0);
        model.putProperty(Vehicle.PROP_HORSEPOWER, 150);
        model.putProperty(Vehicle.PROP_FUELTANKCAPACITY, 400);
        models.add(model);
        
        model = new Model(tractorType, brand, "JD-T9876");
        model.putProperty(Vehicle.PROP_DISPLACEMENT, 6.0);
        model.putProperty(Vehicle.PROP_HORSEPOWER, 150);
        model.putProperty(Vehicle.PROP_FUELTANKCAPACITY, 450);
        models.add(model);
        
        model = new Model(sprayerType, brand, "JD-2SP-100");
        model.putProperty(Vehicle.PROP_DISPLACEMENT, 6.0);
        model.putProperty(Vehicle.PROP_HORSEPOWER, 100);
        model.putProperty(Vehicle.PROP_FUELTANKCAPACITY, 300);
        models.add(model);
        
        model = new Model(sprayerType, brand, "JD-2SP-200");
        model.putProperty(Vehicle.PROP_DISPLACEMENT, 6.1);
        model.putProperty(Vehicle.PROP_HORSEPOWER, 100);
        model.putProperty(Vehicle.PROP_FUELTANKCAPACITY, 350);
        models.add(model);
    }

    @Override
    public List<Model> getModels() {
        return models;
    }
}